# eric6.Preferences.ConfigurationPages.CorbaPage

Module implementing the Corba configuration page.

### Global Attributes

None

### Classes

CorbaPage | Class implementing the Corba configuration page.

### Functions

create | Module function to create the configuration page.

## CorbaPage

Class implementing the Corba configuration page.

### Derived from

ConfigurationPageBase, Ui_CorbaPage

### Class Attributes

None

### Class Methods

None

### Methods

CorbaPage | Constructor
on_idlButton_clicked | Private slot to handle the IDL compiler selection.
save | Public slot to save the Corba configuration.

### Static Methods

None

#### CorbaPage (Constructor)

CorbaPage()

Constructor

#### CorbaPage.on_idlButton_clicked

on_idlButton_clicked()

Private slot to handle the IDL compiler selection.

#### CorbaPage.save

save()

Public slot to save the Corba configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Returns:
  reference to the instantiated page (ConfigurationPageBase)

Up